libcoda-java_2.20-3_all.deb


Advertisement

Description

libcoda-java - Java interface for Common Data Access Framework

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libcoda-java_2.20-3_all.deb
Package name libcoda-java
Package version 2.20
Package release 3
Package architecture all
Package type deb
Category java
Homepage https://github.com/stcorp/coda
License -
Maintainer Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Download size 47.79 KB
Installed size 63.00 KB
The Common Data Access framework allows reading of scientific data
from various data formats, including structured ascii, structured binary, XML,
netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
hierarchical view on data independent of the underlying storage format.
This package contains Java files needed to use the CODA framework.

Alternatives

Package Version Architecture Repository
libcoda-java_2.20-3_all.deb 2.20 all Debian Main
libcoda-java - - -

Requires

Name Value
libcoda-jni >= 2.20-3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libcoda-java_2.20-3_all.deb
Source Package coda

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcoda-java deb package:
    # sudo apt-get install libcoda-java

Files

Path
/usr/share/doc/libcoda-java/changelog.Debian.gz
/usr/share/doc/libcoda-java/changelog.gz
/usr/share/doc/libcoda-java/copyright
/usr/share/java/coda.jar

Changelog

2019-01-23 - Alastair McKinstry <mckinstry@debian.org>
coda (2.20-3) unstable; urgency=medium
* Split building of coda.jar into dh_auto_build-indep. Closes: #920191
* d/control: descriptions fixed. Closes: #915080
2019-01-20 - Alastair McKinstry <mckinstry@debian.org>
coda (2.20-2) unstable; urgency=medium
* Bump lib symlink. libcoda.so -> libcoda.so.14.0.4
* Java compiler JDK11 ICEs on ppc64el, so skip java package here
2019-01-19 - Alastair McKinstry <mckinstry@debian.org>
coda (2.20-1) unstable; urgency=medium
* New upstream release:
libcoda14.0.4 -> libcoda15.0.0
* Add watch file
* Standards-Version: 4.3.0
2018-11-16 - Alastair McKinstry <mckinstry@debian.org>
coda (2.19-2) unstable; urgency=medium
* Ensure Coda linked with hdf5.
* Ensure Makefile in examples is M-A safe for libcoda-dev
2018-11-12 - Alastair McKinstry <mckinstry@debian.org>
coda (2.19-1) unstable; urgency=medium
* New upstream release
* Drop xz source compression option
* Standards-Version: 4.2.1
* Allow dh_auto_clean to fail due to missing files
* Disable dependency tracking in configure. Closes: #913490
2018-05-10 - Alastair McKinstry <mckinstry@debian.org>
coda (2.18.3-1) unstable; urgency=medium
* Initial release. (Closes: #888576)
* Resubmited with:
- Additional copyright information for doc/html/*
- jquery.js sources in debian/missing-sources
- Set maintainer as Debian-Science, AMcK as uploader

See Also

Package Description
libcoda-jni_2.20-3_amd64.deb Java Native interface for Common Data Access Framework
libcoda15_2.20-3_amd64.deb Library for the Common Data Access framework for Earth science
libcodcif-dev_2.3+dfsg-3_amd64.deb error-correcting CIF parser - headers and static libraries
libcodcif2_2.3+dfsg-3_amd64.deb error-correcting CIF parser - shared library
libcode-tidyall-perl_0.67-3_all.deb your all-in-one code tidier and validator
libcode-tidyall-plugin-sortlines-naturally-perl_0.000003-1_all.deb sort lines of a file using Unicode::Collate::Locale
libcode-tidyall-plugin-uniquelines-perl_0.000003-1_all.deb module to remove duplicate lines from files
libcode-tidyall-plugin-yaml-perl_0.000001-1_all.deb module to tidy YAML documents
libcode-tidyall-plugin-yamlfrontmatter-perl_1.000001-1_all.deb module to validate YAML front matter
libcodeblocks0_16.01+dfsg-2.1_amd64.deb Code::Blocks shared library
libcodec2-0.8.1_0.8.1-2_amd64.deb Codec2 runtime library
libcodec2-dev_0.8.1-2_amd64.deb Codec2 library development files
libcodemodel-java_2.6+jaxb2.3.0.1-8_all.deb Java library for code generators
libcodenarc-groovy-java-doc_0.23-5_all.deb Documentation for libcodenarc-groovy-java
libcodenarc-groovy-java_0.23-5_all.deb Groovy library that provides static analysis features for Groovy code
Advertisement
Advertisement